Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class ProducerInfo

    java.lang.Object
      org.jboss.portal.wsrp.consumer.ProducerInfo

    public class ProducerInfo

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 11575 $
Author:
  Chris Laprun

Constructor Summary
`ProducerInfo()`

Method Summary
`void` | `deregister()`
`RefreshResult` | `detailedRefresh(boolean forceRefresh)`
`void` | `eraseRegistrationInfo()`
`EndpointConfigurationInfo` | `getEndpointConfigurationInfo()`
`java.lang.Integer` | `getExpirationCacheSeconds()`
`java.lang.String` | `getId()`
`java.lang.Long` | `getKey()`
`org.jboss.portal.portlet.Portlet` | `getPortlet(org.jboss.portal.portlet.PortletContext portletContext)`
`java.util.Map<java.lang.String,java.util.Set<org.jboss.portal.portlet.Portlet>>` | `getPortletGroupMap()`
`java.util.Map<java.lang.String,org.jboss.portal.portlet.Portlet>` | `getPortletMap()`
`PortletPropertyDescriptionResponse` | `getPropertyDescriptionsFor(java.lang.String portletHandle)`
`RegistrationContext` | `getRegistrationContext()`
`RegistrationInfo` | `getRegistrationInfo()`
`ConsumerRegistry` | `getRegistry()`
`CookieProtocol` | `getRequiresInitCookie()`
`java.util.Set<java.lang.String>` | `getSupportedCustomModes()`
`java.util.Set<java.lang.String>` | `getSupportedCustomWindowStates()`
`boolean` | `hasLocalRegistrationInfo()`
`boolean` | `isActive()` Determines whether the associated consumer is active.
`boolean` | `isModifyRegistrationRequired()`
`boolean` | `isRefreshNeeded(boolean considerCache)`
`boolean` | `isRegistered()`
`boolean` | `isRegistrationChecked()`
`boolean` | `isRegistrationRequired()`
`void` | `modifyRegistration()`
`boolean` | `refresh(boolean forceRefresh)` Refreshes the producer's information from the service description if required.
`void` | `register()`
`void` | `resetRegistration()`
`void` | `setActive(boolean active)` Activates or de-activate this Consumer.
`void` | `setActiveAndSave(boolean active)`
`void` | `setExpirationCacheSeconds(java.lang.Integer expirationCacheSeconds)`
`void` | `setId(java.lang.String id)`
`void` | `setKey(java.lang.Long key)`
`void` | `setModifyRegistrationRequired(boolean modifyRegistrationRequired)`
`void` | `setRegistrationInfo(RegistrationInfo registrationInfo)`
`void` | `setRegistry(ConsumerRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerInfo

    public ProducerInfo()

Method Detail

### getRegistry

    public ConsumerRegistry getRegistry()

### setRegistry

    public void setRegistry(ConsumerRegistry registry)

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getSupportedCustomModes

    public java.util.Set<java.lang.String> getSupportedCustomModes()

### getSupportedCustomWindowStates

    public java.util.Set<java.lang.String> getSupportedCustomWindowStates()

### getEndpointConfigurationInfo

    public EndpointConfigurationInfo getEndpointConfigurationInfo()

### getRegistrationInfo

    public RegistrationInfo getRegistrationInfo()

### setRegistrationInfo

    public void setRegistrationInfo(RegistrationInfo registrationInfo)

### isRegistered

    public boolean isRegistered()

### isRegistrationRequired

    public boolean isRegistrationRequired()

### isRegistrationChecked

    public boolean isRegistrationChecked()

### hasLocalRegistrationInfo

    public boolean hasLocalRegistrationInfo()

### isActive

    public boolean isActive()

  Determines whether the associated consumer is active.

  Returns:

### setActive

    public void setActive(boolean active)

  Activates or de-activate this Consumer. Note that this shouldn't be called directly as ConsumersRegistry will handle activation.

  Parameters:
    `active` -

### setActiveAndSave

    public void setActiveAndSave(boolean active)

### isModifyRegistrationRequired

    public boolean isModifyRegistrationRequired()

### setModifyRegistrationRequired

    public void setModifyRegistrationRequired(boolean modifyRegistrationRequired)

### getRequiresInitCookie

    public CookieProtocol getRequiresInitCookie()

### refresh

    public boolean refresh(boolean forceRefresh)
                    throws org.jboss.portal.portlet.PortletInvokerException

  Refreshes the producer's information from the service description if required.

  Parameters:
    `forceRefresh` - whether or not to force a refresh regardless of whether one would have been required based on cache expiration
  Returns:
    `true` if the producer's information was just refreshed, `false` otherwise
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException` - if registration was required but couldn't be achieved properly

### detailedRefresh

    public RefreshResult detailedRefresh(boolean forceRefresh)
                                  throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getPortlet

    public org.jboss.portal.portlet.Portlet getPortlet(org.jboss.portal.portlet.PortletContext portletContext)
                                                throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getPortletGroupMap

    public java.util.Map<java.lang.String,java.util.Set<org.jboss.portal.portlet.Portlet>> getPortletGroupMap()
                                                                                                       throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getPortletMap

    public java.util.Map<java.lang.String,org.jboss.portal.portlet.Portlet> getPortletMap()
                                                                                   throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getExpirationCacheSeconds

    public java.lang.Integer getExpirationCacheSeconds()

### setExpirationCacheSeconds

    public void setExpirationCacheSeconds(java.lang.Integer expirationCacheSeconds)

### getRegistrationContext

    public RegistrationContext getRegistrationContext()
                                               throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### resetRegistration

    public void resetRegistration()
                           throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getPropertyDescriptionsFor

    public PortletPropertyDescriptionResponse getPropertyDescriptionsFor(java.lang.String portletHandle)

### register

    public void register()
                  throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### deregister

    public void deregister()
                    throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### modifyRegistration

    public void modifyRegistration()
                            throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### isRefreshNeeded

    public boolean isRefreshNeeded(boolean considerCache)

### eraseRegistrationInfo

    public void eraseRegistrationInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD